Bitcoin Forum
May 20, 2024, 06:49:11 PM *
News: Latest Bitcoin Core release: 27.0 [Torrent]
 
   Home   Help Search Login Register More  
Pages: « 1 2 3 4 [5] 6 »  All
  Print  
Author Topic: Avalon users: bitcoind + eloipool configuration  (Read 36142 times)
ProfMac
Legendary
*
Offline Offline

Activity: 1246
Merit: 1001



View Profile
July 22, 2013, 07:01:33 PM
 #81

I want a bid from someone to set up eloipool under 64 bit Ubuntu 12.04 LTS.  I have it running in a virtualbox and can give ssh access, preferably through IPv6.

I am thinking that this can be packaged as an appliance and distributed.


I try to be respectful and informed.
ProfMac
Legendary
*
Offline Offline

Activity: 1246
Merit: 1001



View Profile
July 25, 2013, 09:57:21 PM
 #82

I want a bid from someone to set up eloipool under 64 bit Ubuntu 12.04 LTS.  I have it running in a virtualbox and can give ssh access, preferably through IPv6.

I am thinking that this can be packaged as an appliance and distributed.



I have eloipool operational in the virtualbox.

I wonder if anyone has any idea how to configure it for bytecoin?


I try to be respectful and informed.
icreator
Legendary
*
Offline Offline

Activity: 1554
Merit: 1008



View Profile WWW
August 24, 2013, 05:57:25 PM
Last edit: August 24, 2013, 06:45:21 PM by icreator
 #83

I got errors^
Code:
2013-08-24 21:47:41,072 merkleMaker CRITICAL Traceback (most recent call last):
  File "/home/icreator/pools/eloipool-server-ZeroASIC/eloipool/merklemaker.py", line 692, in run
    self.merkleMaker_I()
  File "/home/icreator/pools/eloipool-server-ZeroASIC/eloipool/merklemaker.py", line 682, in merkleMaker_I
    self.merkleMaker_II()
  File "/home/icreator/pools/eloipool-server-ZeroASIC/eloipool/merklemaker.py", line 648, in merkleMaker_II
    return self._updateMerkleTree()
  File "/home/icreator/pools/eloipool-server-ZeroASIC/eloipool/merklemaker.py", line 548, in _updateMerkleTree
    self._updateMerkleTree_I()
  File "/home/icreator/pools/eloipool-server-ZeroASIC/eloipool/merklemaker.py", line 512, in _updateMerkleTree_I
    r = self._updateMerkleTree_fromTS(TS)
  File "/home/icreator/pools/eloipool-server-ZeroASIC/eloipool/merklemaker.py", line 477, in _updateMerkleTree_fromTS
    MP = self._CallGBT(TS)
  File "/home/icreator/pools/eloipool-server-ZeroASIC/eloipool/merklemaker.py", line 327, in _CallGBT
    MP = access.getblocktemplate(self.GBTReq)
  File "/home/icreator/pools/eloipool-server-ZeroASIC/eloipool/bitcoinrpc/authproxy.py", line 104, in __call__
    'Content-type': 'application/json'})
  File "/usr/lib/python3.3/http/client.py", line 1061, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python3.3/http/client.py", line 1099, in _send_request
    self.endheaders(body)
  File "/usr/lib/python3.3/http/client.py", line 1057, in endheaders
    self._send_output(message_body)
  File "/usr/lib/python3.3/http/client.py", line 902, in _send_output
    self.send(msg)
  File "/usr/lib/python3.3/http/client.py", line 840, in send
    self.connect()
  File "/usr/lib/python3.3/http/client.py", line 818, in connect
    self.timeout, self.source_address)
  File "/usr/lib/python3.3/socket.py", line 435, in create_connection
    raise err
  File "/usr/lib/python3.3/socket.py", line 426, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused
what is wrong I do?
Ubuntu 13.04
installed python2.7 python3 python3.3
I try install all for python3.3

bitcoin.conf
Code:
server=1
rpctimeout=30
rpcuser=rpcuser
rpcpassword=yighyeg8OnI
logtimestamps=1

config.py:
Code:
TemplateSources = (
{
'name': 'primary',
'uri': 'http://rpcuser:yighyeg8OnI@localhost:8332', #change the password here and the matching password in bitcoindata/bitcoin.conf
'priority': 0,
'weight': 1,
},
# {
# 'name': 'secondary',
# 'uri': 'http://user:pass@localhost:18332',
# 'priority': 1,
# 'weight': 1,
# },
)

Erachain Blockchain is fully ready for use Digital Ecosystem based on blockchain technology for business and government with low transaction costs, identification and built-in functions.
+Decentralized exchange of tokens in Erachain
-Redacted-
Hero Member
*****
Offline Offline

Activity: 574
Merit: 501


View Profile
August 24, 2013, 06:22:21 PM
Last edit: August 24, 2013, 08:30:39 PM by -Redacted-
 #84

ConnectionRefusedError: [Errno 111] Connection refused

You aren't connecting to bitcoind - wrong password, or username possibly, or not listening on localhost....
Make sure you don't have a firewall set up that's rejecting connections on the port you are using.
icreator
Legendary
*
Offline Offline

Activity: 1554
Merit: 1008



View Profile WWW
August 24, 2013, 07:05:26 PM
 #85

updatetd - see first mess - user:pass = user:pass

Erachain Blockchain is fully ready for use Digital Ecosystem based on blockchain technology for business and government with low transaction costs, identification and built-in functions.
+Decentralized exchange of tokens in Erachain
icreator
Legendary
*
Offline Offline

Activity: 1554
Merit: 1008



View Profile WWW
August 25, 2013, 06:11:16 AM
Last edit: August 25, 2013, 10:04:14 AM by icreator
 #86

I insert print (responce) in:
#/usr/lib/python3.3/json/decoder.py
Code:
   def decode(self, s, _w=WHITESPACE.match):
        """Return the Python representation of ``s`` (a ``str`` instance
        containing a JSON document).

        """
        print('                 decoder.decode')
        print( ' str:',s)
        obj, end = self.raw_decode(s, idx=_w(s, 0).end())
        end = _w(s, end).end()
        if end != len(s):
            raise ValueError(errmsg("Extra data", s, end, len(s)))
        return obj

and I see that:

Code:
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML>
<HEAD>
<TITLE>Error</TITLE>
<META HTTP-EQUIV='Content-Type' CONTENT='text/html; charset=ISO-8859-1'>
</HEAD>
<BODY><H1>401 Unauthorized.</H1></BODY>
</HTML>


I have /usr/lib/python3.3/http
that used in bitcoinrpc/authproxy.py
Code:
try:
    import http.client as httplib
except ImportError:
    import httplib

if I use httplib from python2.7 - connection established but many others errors rised ((

Erachain Blockchain is fully ready for use Digital Ecosystem based on blockchain technology for business and government with low transaction costs, identification and built-in functions.
+Decentralized exchange of tokens in Erachain
icreator
Legendary
*
Offline Offline

Activity: 1554
Merit: 1008



View Profile WWW
August 25, 2013, 04:07:17 PM
 #87

I run simple script:

Code:
from jsonrpc.proxy import ServiceProxy


 
aa = ServiceProxy("http://rpcuser:yighyeg8OnI@127.0.0.1:8332")
              
aa.getinfo()

on python2.7 it successful
on pyton3.3 - error
Code:
File "probe.py", line 17, in <module>
    aa.getinfo()
  File "/home/icreator/pools/eloipool-3/bitcoinrpc/authproxy.py", line 118, in __call__
    response = self._get_response()
  File "/home/icreator/pools/eloipool-3/bitcoinrpc/authproxy.py", line 156, in _get_response
    parse_float=decimal.Decimal)
  File "/usr/lib/python3.3/json/__init__.py", line 332, in loads
    return cls(**kw).decode(s)
  File "/usr/lib/python3.3/json/decoder.py", line 353, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python3.3/json/decoder.py", line 371, in raw_decode
    raise ValueError("No JSON object could be decoded")
ValueError: No JSON object could be decoded

Erachain Blockchain is fully ready for use Digital Ecosystem based on blockchain technology for business and government with low transaction costs, identification and built-in functions.
+Decentralized exchange of tokens in Erachain
madjoe1974
Newbie
*
Offline Offline

Activity: 24
Merit: 0



View Profile
October 24, 2013, 05:50:44 PM
 #88

does anybody knows how can i configure different difficultys for different miners?

i have some avalons and one brandnew bitfury here. but the bitfury have some problems on pools with vardiff (like slush) and also if the diff is set to low

and another question:

is it possible to enable a log-rotate for the sharelog, same like for the pool log itself

best regards joe
madjoe1974
Newbie
*
Offline Offline

Activity: 24
Merit: 0



View Profile
October 28, 2013, 11:20:39 AM
 #89

hi all

since last night i have some strange behavior with eloi.

sometimes i have this in my logs:

Code:
2013-10-28 00:29:27,579 StratumHandler DEBUG Traceback (most recent call last):
  File "./eloipool.py", line 668, in receiveShare
    checkShare(share)
  File "./eloipool.py", line 506, in checkShare
    MWL = workLog[None]
KeyError: None

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/daten/bitcoinchain/eloipool/eloipool/stratumserver.py", line 91, in found_terminator
    rv = getattr(self, funcname)(*rpc['params'])
  File "/daten/bitcoinchain/eloipool/eloipool/stratumserver.py", line 199, in _stratum_mining_submit
    self.server.receiveShare(share)
  File "./eloipool.py", line 677, in receiveShare
    logShare(share)
  File "./eloipool.py", line 651, in logShare
    share['solution'] = b2a_hex(swap32(share['data'])).decode('utf8')
KeyError: 'data'


and since 4 hours i have every second this and notihing else:


Code:
2013-10-28 11:44:15,520 merkleMaker CRITICAL Traceback (most recent call last):
  File "/daten/bitcoinchain/eloipool/eloipool/merklemaker.py", line 692, in run
    self.merkleMaker_I()
  File "/daten/bitcoinchain/eloipool/eloipool/merklemaker.py", line 682, in merkleMaker_I
    self.merkleMaker_II()
  File "/daten/bitcoinchain/eloipool/eloipool/merklemaker.py", line 660, in merkleMaker_II
    return self._updateMerkleTree()
  File "/daten/bitcoinchain/eloipool/eloipool/merklemaker.py", line 548, in _updateMerkleTree
    self._updateMerkleTree_I()
  File "/daten/bitcoinchain/eloipool/eloipool/merklemaker.py", line 512, in _updateMerkleTree_I
    r = self._updateMerkleTree_fromTS(TS)
  File "/daten/bitcoinchain/eloipool/eloipool/merklemaker.py", line 477, in _updateMerkleTree_fromTS
    MP = self._CallGBT(TS)
  File "/daten/bitcoinchain/eloipool/eloipool/merklemaker.py", line 327, in _CallGBT
    MP = access.getblocktemplate(self.GBTReq)
  File "/daten/bitcoinchain/python-bitcoinrpc/bitcoinrpc/authproxy.py", line 112, in __call__
    'Content-type': 'application/json'})
  File "/usr/lib/python3.2/http/client.py", line 970, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python3.2/http/client.py", line 998, in _send_request
    self.putrequest(method, url, **skips)
  File "/usr/lib/python3.2/http/client.py", line 853, in putrequest
    raise CannotSendRequest(self.__state)
http.client.CannotSendRequest: Request-sent


some ideas? please help i'm new to eloi

before this eloi works fine, i've mined 2 blocks...

best regards joe

agibby5
Sr. Member
****
Offline Offline

Activity: 267
Merit: 250


View Profile
December 03, 2013, 02:51:35 PM
 #90

b) increase share target (note increased '0' and decreased 'f'):
Code:
-ShareTarget = 0x00000000ffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ShareTarget = 0x000000000fffffffffffffffffffffffffffffffffffffffffffffffffffffff

c) DynamicTargetting = 2

d) DynamicTargetGoal = 6


How do these settings scale for other hash rates?  
agibby5
Sr. Member
****
Offline Offline

Activity: 267
Merit: 250


View Profile
December 03, 2013, 02:53:21 PM
 #91

hi all

since last night i have some strange behavior with eloi.

sometimes i have this in my logs:

Code:
2013-10-28 00:29:27,579 StratumHandler DEBUG Traceback (most recent call last):
  File "./eloipool.py", line 668, in receiveShare
    checkShare(share)
  File "./eloipool.py", line 506, in checkShare
    MWL = workLog[None]
KeyError: None

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/daten/bitcoinchain/eloipool/eloipool/stratumserver.py", line 91, in found_terminator
    rv = getattr(self, funcname)(*rpc['params'])
  File "/daten/bitcoinchain/eloipool/eloipool/stratumserver.py", line 199, in _stratum_mining_submit
    self.server.receiveShare(share)
  File "./eloipool.py", line 677, in receiveShare
    logShare(share)
  File "./eloipool.py", line 651, in logShare
    share['solution'] = b2a_hex(swap32(share['data'])).decode('utf8')
KeyError: 'data'


A few other people have this problem as well, but the inquiries go unanswered in the main eloipool thread.
https://bitcointalk.org/index.php?topic=61731.msg3793182#msg3793182
wuzamarine
Sr. Member
****
Offline Offline

Activity: 264
Merit: 250

derp


View Profile
January 18, 2014, 11:10:50 PM
 #92

I followed the directions and I get no errors. Port 8338 comes live and can be seen via netstat.


tcp6      15      0 :::8338                 :::*                    LISTEN
tcp6       0      0 :::22                   :::*                    LISTEN
tcp6      70      0 192.168.1.8:8338        192.168.1.8:33885       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33896       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33890       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33897       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33899       CLOSE_WAIT
tcp6      70      0 192.168.1.8:8338        192.168.1.8:33892       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33895       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33891       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33900       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33889       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33894       CLOSE_WAIT
tcp6      71      0 192.168.1.8:8338        192.168.1.8:33898       CLOSE_WAIT
tcp6      70      0 192.168.1.8:8338        192.168.1.8:33887       CLOSE_WAIT
tcp6      70      0 192.168.1.8:8338        192.168.1.8:33884       CLOSE_WAIT
tcp6      70      0 127.0.0.1:8338          127.0.0.1:49649         CLOSE_WAIT



gentoo001 home # ./minerd -o stratum+tcp://192.168.1.8:8338 -u admin -p butthole -q
[2014-01-18 22:51:19] 1 miner threads started, using 'scrypt' algorithm.
[2014-01-18 22:51:19] Starting Stratum on stratum+tcp://192.168.1.8:8338
[2014-01-18 22:51:49] stratum_subscribe timed out
[2014-01-18 22:51:49] ...retry after 30 seconds
[2014-01-18 22:52:49] stratum_subscribe timed out
[2014-01-18 22:52:49] ...retry after 30 seconds
ShurikAg
Newbie
*
Offline Offline

Activity: 9
Merit: 0


View Profile
February 14, 2014, 07:15:19 AM
 #93

Hi all,

Is there a recommended hardware for the bitcoind + eloipool set?
Also, what should I expect in regards to system utilization?
halcy0n3
Newbie
*
Offline Offline

Activity: 31
Merit: 0


View Profile
April 30, 2014, 03:55:24 AM
 #94

bitcoind and eloipool seem to be up and running

however


root@Bitcoin-server:~# netstat --listen
Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address           Foreign Address         State
tcp        0      0 *:ssh                   *:*                     LISTEN
tcp        0      0 *:8333                  *:*                     LISTEN
tcp6       0      0 [::]:ssh                [::]:*                  LISTEN
tcp6       0      0 [::]:8332               [::]:*                  LISTEN
tcp6       0      0 [::]:8333               [::]:*                  LISTEN

port 3334 isnt open

my logfile only indicates new blocks on network
halcy0n3
Newbie
*
Offline Offline

Activity: 31
Merit: 0


View Profile
May 01, 2014, 06:04:43 AM
 #95

okay now the port is open and accessible from the internet

but i still cant connect via stratum.... BAH

any ideas?
Carlton Banks
Legendary
*
Offline Offline

Activity: 3430
Merit: 3074



View Profile
May 01, 2014, 04:20:27 PM
 #96

If the reason for using Eloipool is to solo mine, then latest cgminer has solo mining functionality built in (either 4.0.0 or 4.1.0, check the cgminer thread to be sure). I think you can just setup a bitcoind node and point the miner config to it on port 8332

Vires in numeris
halcy0n3
Newbie
*
Offline Offline

Activity: 31
Merit: 0


View Profile
May 02, 2014, 02:05:46 AM
 #97

well it is and it isnt.

I am using 8332 to mine directly to bitcoind

netstat and lsof -i show me that eloipool is communicating with bitcoind

and infact my local network is reaching out to eloipool on 3334 bfgminer says no however. im using eligius for block announcements though in truth bitcoind is only ~1 second behind so probably just a waste of time.

the log file is giving me nothing to work with..

I'll keep trying
halcy0n3
Newbie
*
Offline Offline

Activity: 31
Merit: 0


View Profile
May 17, 2014, 03:45:52 AM
 #98

well, got it all sorted.

One last piece of the puzzle and everything will be dandy

dynamic targeting seems to be a failure for me

all diff 1 shares
lots of stale shares

i tried commenting out the sharetarget and getworktarget in config.py as suggested in another thread to no avail
youll see in eloipool.py hte value is hard coded if no variable exists in config.py

any help?
Polyatomic
Sr. Member
****
Offline Offline

Activity: 257
Merit: 250


View Profile
May 19, 2014, 12:03:41 PM
Last edit: July 09, 2014, 11:45:34 AM by Polyatomic
 #99

well, got it all sorted.

One last piece of the puzzle and everything will be dandy

dynamic targeting seems to be a failure for me

all diff 1 shares
lots of stale shares

i tried commenting out the sharetarget and getworktarget in config.py as suggested in another thread to no avail
youll see in eloipool.py hte value is hard coded if no variable exists in config.py

any help?

Try adding DynamicTargetServerAddresses to your config man.
bgibso01
Legendary
*
Offline Offline

Activity: 1218
Merit: 1001



View Profile
June 07, 2014, 11:06:53 PM
 #100

well, got it all sorted.

One last piece of the puzzle and everything will be dandy

dynamic targeting seems to be a failure for me

all diff 1 shares
lots of stale shares

i tried commenting out the sharetarget and getworktarget in config.py as suggested in another thread to no avail
youll see in eloipool.py hte value is hard coded if no variable exists in config.py

any help?

Try adding DynamicTargetServerAddresses= to your config man.

What does this mean/do?  I don't see it listed in the example config file.  I'm having same problem of only diff 1 shares.  Thanks.
Pages: « 1 2 3 4 [5] 6 »  All
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!